org.apache.xmlrpc.XmlRpcException when using UWC to import from "twiki"

The error seems pretty indicative, my question would be are there plans to adapt the UWC for this?

Complete error is below:

2012-04-11 17:29:11,056 INFO [Thread-4] - page added may already exist
org.apache.xmlrpc.XmlRpcException: java.lang.Exception: com.atlassian.confluence.rpc.RemoteException: Unsupported operation: Wiki formatted content can no longer be retrieved from this API. Please use the version 2 API. The version 2 WSDL is available at: https://confluence.elance.com/rpc/soap-axis/confluenceservice-v2?wsdl. XML-RPC requests should prefixed with "confluence2.". Please use getPageSummary() to get page data without its content.
at org.apache.xmlrpc.XmlRpcClientResponseProcessor.decodeException(XmlRpcClientResponseProcessor.java:104)
at org.apache.xmlrpc.XmlRpcClientResponseProcessor.decodeResponse(XmlRpcClientResponseProcessor.java:71)
at org.apache.xmlrpc.XmlRpcClientWorker.execute(XmlRpcClientWorker.java:73)
at org.apache.xmlrpc.XmlRpcClient.execute(XmlRpcClient.java:194)
at org.apache.xmlrpc.XmlRpcClient.execute(XmlRpcClient.java:185)
at org.apache.xmlrpc.XmlRpcClient.execute(XmlRpcClient.java:178)
at biz.artemis.confluence.xmlrpcwrapper.RemoteWikiBroker.populatePageXmlRpcData(RemoteWikiBroker.java:208)
at biz.artemis.confluence.xmlrpcwrapper.RemoteWikiBroker.storeNewOrUpdatePage(RemoteWikiBroker.java:260)
at com.atlassian.uwc.ui.ConverterEngine.sendPage(ConverterEngine.java:1742)
at com.atlassian.uwc.ui.ConverterEngine.sendPage(ConverterEngine.java:1859)
at com.atlassian.uwc.ui.ConverterEngine.sendPage(ConverterEngine.java:1621)
at com.atlassian.uwc.ui.ConverterEngine.writeHierarchy(ConverterEngine.java:1537)
at com.atlassian.uwc.ui.ConverterEngine.writeHierarchy(ConverterEngine.java:1485)
at com.atlassian.uwc.ui.ConverterEngine.convert(ConverterEngine.java:412)
at com.atlassian.uwc.ui.ConverterEngine.convert(ConverterEngine.java:210)
at com.atlassian.uwc.ui.UWCGuiModel.convert(UWCGuiModel.java:180)
at com.atlassian.uwc.ui.listeners.ConvertListener$Worker.construct(ConvertListener.java:277)
at com.atlassian.uwc.ui.SwingWorker$2.run(SwingWorker.java:110)
at java.lang.Thread.run(Unknown Source)

2 answers

This widget could not be displayed.
Joe Clark Atlassian Team Apr 11, 2012

Hi Victor,

The Universal Wiki Converter is not yet compatible with Confluence 4.x. The best way to migrate your data into Confluence at the moment is to import it into a Confluence 3.5.x instance and then upgrade it to 4.x.

Hope that helps :)

This widget could not be displayed.

Thank you Joseph, I did not realize this until now.

Question - I see there is a message stating that the project will be adapted in Q12012, but we're already Q2.

Any insight as to that the upgrade/adaptation timeline looks like?

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Thursday in United States

Local Atlassian Research Workshop opportunity on Sep. 28th

We're looking for participants for another workshop at Atlassian! We need Jira admins who have interesting custom workflows, issue views, or boards. Think you have a story to sh...

46 views 0 0
View post

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you